#
# top-level makefile for interim Tcl distribution
#
# Makefiles are extracted from Makefile.t files by Configure
#
# @(#) %M% %I% %H%
#

SHELL=/bin/sh

all:
	cd baseline/src;make
	cd extend/src;make
	cd ossupport/src;make
	cd tclsh/src;make
	cd tclsh/tclsrc;make
	@echo "If all is well, tcl should be present in: " `pwd`

clean:
	cd baseline/src;make clean
	cd baseline/tests;make clean
	cd extend/src;make clean
	cd ossupport/src;make clean
	cd tclsh/src;make clean
	cd tclsh/tclsrc;make clean
	rm -f tcl tcl.a tcl.h 

realclean:
	cd baseline/src;make realclean
	cd baseline/tests;make realclean
	cd extend/src;make realclean
	cd ossupport/src;make realclean
	cd tclsh/src;make realclean
	cd tclsh/tclsrc;make realclean
	rm -f tcl tcl.a tcl.h Makefile TclDefaults


bldhelp:
	-rm -rf tclsh/tclsrc/help
	-mkdir tclsh/tclsrc/help
	-./tcl -f tclsh/tclsrc/gen_help.tcl \
            tclsh/tclsrc/help baseline/man/*.man extend/man/*.man \
            tclsh/tclsrc/*.tcl tclsh/tclsrc/*.tlib

libraries:
	cd tclsh/tclsrc;make libraries
