
/* 
 * panic.c --
 *
 *      Source code for the "panic" library procedure.
 *
 * Copyright 1988 Regents of the University of California
 * Permission to use, copy, modify, and distribute this
 * software and its documentation for any purpose and without
 * fee is hereby granted, provided that the above copyright
 * notice appear in all copies.  The University of California
 * makes no representations about the suitability of this
 * software for any purpose.  It is provided "as is" without
 * express or implied warranty.
 */

/* 
 * Copyright 1990 Karl Lehenbauer, Mark Diekhans, 
 *                Peter da Silva and Jordan Henderson.
 *
 * Permission to use, copy, modify, and distribute this
 * software and its documentation for any purpose and without
 * fee is hereby granted, provided that the above copyright
 * notice appear in all copies.  Karl Lehenbauer, Mark Diekhans,
 * Peter da Silva and Jordan Henderson make no representations
 * about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 */

#ifndef NOSCCSID
        char sccs_id[] = "@(#) %M% %I% %H%";
#endif

#include <stdio.h>
#include <varargs.h>

#if !(defined(SYSV_3_2_0) || defined(XENIX286) || defined(BSD))
#   include <stdlib.h>
#endif


/*
 *----------------------------------------------------------------------
 *
 * panic --
 *
 *      Print an error message and kill the process.
 *
 * Results:
 *      None.
 *
 * Side effects:
 *      The process dies, entering the debugger if possible.
 *
 *----------------------------------------------------------------------
 */

void
panic(va_alist)
    va_dcl                      /* char *format, then any number of additional
                                 * values to be printed under the control of
                                 * format.  This is all just the same as you'd
                                 * pass to printf. */
{
    char *format;
    va_list args;

    va_start(args);
    format = va_arg(args, char *);
#ifndef BSD
    (void) vfprintf(stderr, format, args);
#else
    (void) _doprnt (format, args, stderr);
#endif
    fputc('\n', stderr);
    (void) fflush(stdout);
    (void) fflush(stderr);
    abort();
}
