.TH TCL.TLIB TCL "" "TCL - Tool Command Language"
.ad b
.SH PACKAGE
array_procedures
.SH SYNOPSIS
.B list_array_keys arrayname
.SH DESCRIPTION
.I List_array_keys
returns a list containing the names of all the keys in the specified
array.

.SH BUGS
The array must be global.

.PP
.SH PACKAGE
import
.SH SYNOPSIS
.B import var [var..]
.SH DESCRIPTION
.I Import
imports one or more environment variables into a Tcl variable of the
same name.

.PP
.SH PACKAGE
import_environment
.SH SYNOPSIS
.B import_environment
.SH DESCRIPTION
.I Import_environment
imports all environment variables into Tcl, creating a Tcl corresponding
to every environment variable.

.PP
.SH PACKAGE
mkpath
.SH SYNOPSIS
.B mkpath path
.SH DESCRIPTION
.I Mkpath will recursively make any nonexistent directories in the
specified directory path, if it can.

.PP
.SH PACKAGE
directory_stack
.SH SYNOPSIS
.B pushd [dir]
.B popd
.B dirs
.SH DESCRIPTION
.I Pushd
and
.I popd
provide a minimal directory stack capability, inspired by the C-shell.
.I Pushd 
takes an optional directory.  If it is specified, it is pushed
onto the directory stack.  If not, the current directory is pushed.
.PP
. I Popd
pops a directory entry from the directory stack and does a
.I cd
to it.
.PP
.I Dirs
lists the directories in the directory stack.

.PP
.SH PACKAGE
show_procedures
.SH SYNOPSIS
.B showproc procname
.B showprocs [procname...]
.SH DESCRIPTION
.I Showproc
list the definition of the named procedure.
.I Showprocs
list the definition of all of the named procedures, or 
all defined procedures if none are specified.

.PP
.SH PACKAGE
set_functions
.SH SYNOPSIS
.B union lista listb
.SH DESCRIPTION
Return the logical union of the two lists.

