/* 
 * main.c --
 *
 * based on the Test driver for TCL.
 *
 * Copyright 1987 Regents of the University of California
 * All rights reserved.
 * Permission to use, copy, modify, and distribute this
 * software and its documentation for any purpose and without
 * fee is hereby granted, provided that the above copyright
 * notice appear in all copies.  The University of California
 * makes no representations about the suitability of this
 * software for any purpose.  It is provided "as is" without
 * express or implied warranty.
 */

/* 
 * Copyright 1990 Karl Lehenbauer, Mark Diekhans, 
 *                Peter da Silva and Jordan Henderson.
 *
 * Permission to use, copy, modify, and distribute this
 * software and its documentation for any purpose and without
 * fee is hereby granted, provided that the above copyright
 * notice appear in all copies.  Karl Lehenbauer, Mark Diekhans,
 * Peter da Silva and Jordan Henderson make no representations
 * about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 */

#ifndef NOSCCSID
    static char *sccs_id = "@(#) %M% %I% %H%";
#endif

#include <stdio.h>
#include <errno.h>
#ifdef BSD
#include <sys/time.h>
#endif
#include "tcl.h"

int
main(argc, argv)
int     argc;
char  **argv;
{
    int     c, i;
    Tcl_Interp *interp;

    /* create a Tcl interpreter for the session */
    interp = Tcl_CreateInterp();

    /* initialize desired C extensions */
    Tcl_InitBsearch(interp);
    Tcl_InitCharType(interp);
    Tcl_InitClock(interp);
    Tcl_InitCommandLoop(interp);
    Tcl_InitCustom(interp);
    Tcl_InitDebug(interp);
    Tcl_InitFilescan(interp);
    Tcl_InitIoCmds(interp);
    Tcl_InitMath (interp);
    Tcl_InitMemory(interp);
    Tcl_InitOsCmds(interp);
    Tcl_InitRegExp(interp);
    Tcl_InitString(interp);
    Tcl_InitTransLit(interp);
    Tcl_InitUnixCmds (interp);

    /* Load the tcl startup code, this should pull in all of the tcl
     * procs, paths, command line processing, autoloads, packages, etc */
     /* if Tcl was invoked interactively, Tcl_Startup will give it
      * a command loop */
    Tcl_Startup(interp, argc, argv);

    /* delete the interpreter (a formality under Unix) and exit */
    Tcl_DeleteInterp(interp);
    exit(0);
}

