#
# This descends the subdirectory of my archive, snarfing all of the
# +Index files (files containing indexes of the contents of each of the
# directories) into a big MasterIndex file, that contains the name of
# the subdirectory in a modified newsgroup format, i.e.
# comp/sources/unix becomes [comp.sources.unix] on its own line
#
#
proc format_name {line} {
	set line [range $line 2 [expr {[string first "/+Index" $line] - 1}] chars]
	format "\[%s\]" [join . [split / $line]]
}

proc build_master_index {} {

	cd /archive/usenet

	set infp [open "|find . -name '*+Index' -print | sort" r]
	set outfp [open "/tmp/MasterIndex" w]

	while {[gets $infp line] > 0} {
		if {[string first "/+Index" $line] < 0} continue

		puts $outfp [format_name $line]

		set command [format "|sort <%s" $line]
		set indexfp [open $command r]

		copy_open_files $indexfp $outfp

		close $indexfp
	}
	close $infp $outfp
	system "cp /tmp/MasterIndex /archive/usenet/MasterIndex"
	system "rm /tmp/MasterIndex"
	system "compress -c </archive/usenet/MasterIndex >/archive/usenet/MasterIndex.Z"
}

if !$interactiveSession build_master_index
