#
# this cracks map files that have been received and unshared from 
# the comp.mail.maps newsgroup and produces index files of
# the site name, filename and long pointer offset into the
# file.
#

global mapdir

set mapdir /usr1/spool/maps

proc do_n_line {file where line} {
	set mylist [range [split " ,\t" $line] 1 end]
	foreach i $mylist {
		if ![empty $i] {
			puts stdout [format "%s %s %s" $i $file $where]
		}
	}
}

# define primary scan context, the #N line that starts a map entry
global primary_context
set primary_context [create_scancontext]
match "^#N" {
	set definition_matchwhere $matchwhere
	do_n_line $file $definition_matchwhere $matchline
	fscan $fp $secondary_context
}

# define secondary scan context, after we find a #N we want lines that
# don't start with # and blank lines
global secondary_context
set secondary_context [create_scancontext]
match "^\[ 	\]*$" {
	# echo blank line at $matchwhere
	scan_return
}
match "^\[^#\]" {
	# echo special line at $matchwhere $matchline
	if [string match *=* $matchline] {
		
	}
	if [strequ . [cindex [index $matchline 1] 0] {
		
	}
}
match "^#N" {
	do_n_line $file $definition_matchwhere $matchline
}

proc build_map_index {} {
	global mapdir matchwhere matchline
	global primary_context secondary_context

	cd $mapdir

	foreach file [glob *] {
		set fp [open $file r]
		fscan $fp $primary_context
		close $fp
	}
}

build_map_index
