package array_procedures list_array_keys

#@help: tcl.tlib/list_array_keys
#
# list_array_keys array_name
#
# returns a list containing the names of all the keys
#   in the specified array
#
# special note:
#   this routine has quadratic overhead behavior based on the number of
#   keys in the list and will eat your lunch, performance wise, if the
#   list gets really big
#
# also note that the array must be global, this could be fixed with uplevel
#@endhelp

proc list_array_keys {arrayname} {
	global $arrayname
	set nextid ""
	set result ""
	while {[next_element $arrayname nextid key]} {
		set result [concat $result $key]
	}
	return $result
}
