package import import
#
#@help: tcl.tlib/import
#
# import env_var [env_var...]
#
# Import one or more environment variables into same-named Tcl variables,
# i.e. "import PATH LOGNAME" will create Tcl variables named PATH and
# LOGNAME set to the same value as the environment variables.
#
#@endhelp

proc import {args} {
	foreach env_var $args {
		global $env_var
		if ![getenv $env_var $env_var] {
			error "$env_var environment variable not found"
		}
	}
}

