package show_procedures showproc showprocs

#@help: tcl.tlib/showproc
#
# showproc procname
#   list the definition of the named procedure
#
# showprocs [procname...]
#   list the definition of the named procedures, or all defined procedures
#    if no names are specified
#
#@endhelp

proc showproc {procname} {
	if [empty [info procs $procname]] {
		demand_load $procname
	}
	format "proc %s \{%s\} \{%s\}\n" $procname [info args $procname] [info body $procname]
}

proc showprocs {args} {
	if [empty $args] {
		set args [info procs]
	}
	set out ""

	foreach i $args {
		foreach j $i {
			set out [concat $out [showproc $j] "\n"]
		}
	}
	return $out
}

