package set_functions union

#@help: tcl.tlib/union
#
# union lista listb
#
# return the logical union of the two lists passed as arguments.
#
# for example,
#    union {a b c} {b c d e f}
#  would return
#    a b c d e f
#
#@endhelp

proc union {lista listb} {
	set full_list [sortlist [concat $lista $listb]]
	set check_element [index $full_list 0]
	set outlist $check_element
	foreach element [range $full_list 1 end] {
		if [strequ $check_element $element] continue
		set outlist [concat $outlist $element]
		set check_element $element
	}
}

